Mar 212011
 

We receive a substantial number of questions regarding what to install on a client machine to be able to run an application that uses the DYMO SDK. Should it be DYMO Label software,  DYMO Label SDK, or both?

The answer is — only DYMO Label software has to be installed on a client machine to enable/support DYMO SDK functionality. The DYMO Label software installer includes all necessary binaries needed to run an SDK application. It installs printer drivers, installs libraries and services, and registers the COM components. The latest production version of DYMO Label software installer can always be found on http://www.dymo.com/en-US/online-support/dymo-user-guides. Beta versions with extended SDK functionality are available on this blog.

By contrast, the DYMO Label SDK should be installed on a developer machine only. In fact, it is not required, because the  DYMO Label SDK installer installs documentation and samples only. If you are familiar with the SDK API you might not need it at all. The latest version of the SDK installer is available on http://www.dymo.com/en-US/online-support/online-support-sdk#.

  8 Responses to “To Install or not to Install”

  1. How to load dymo.label.framework in Powershell. I’ve tried adding assemblies for til install dir that DYMO Label software installs into. No matter which dymo*.dll I load, or even all Dymo.dlls i get the error that powershell cant load the dll’s cause dependencies are missing or not found:

    EX:
    Exception calling “Load” with “1” argument(s): “Filen eller assemblyen ‘Interop.Dymo, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null’

    ERROR: + [void][reflection.assembly]::Load <<<< ("Interop.Dymo, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null")
    ERROR: + CategoryInfo : NotSpecified: (:) [], MethodInvocationException
    ERROR: + FullyQualifiedErrorId : DotNetMethodException

    I've also tried Loading the ,net web services dll into Powershell befor loading dymo.framework – but the error persists !

    How to mend? What am I missing to load into assemblies?

    Kind regards.

  2. hi, could you please update SDK links at they seems broken

  3. Hi, is there already a way to only install the required .dll’s without installing the whole Label Software?

    • Dominik, there is no way to install only the required DLLs. DLS must be installed as various other file registrations are required in order for the SDK to work.

  4. Using 7.8 version installed on my system

    Error Message: Unable to cast COM object of type ‘Dymo.DymoAddInClass’ to interface type ‘Dymo.IDymoAddin6’. This operation failed because the QueryInterface call on the COM component for the interface with IID ‘{0C7AADEF-16FC-400D-A827-3F7A93A94DF7}’ failed due to the following error: No such interface supported (Exception from HRESULT: 0x80004002 (E_NOINTERFACE)). ,Stack Trace: at System.StubHelpers.StubHelpers.GetCOMIPFromRCW(Object objSrc, IntPtr pCPCMD, IntPtr& ppTarget, Boolean& pfNeedsRelease)

    i check dymo label installed on my system
    but getting this error
    in Vb6 is working but in DotNet VS2013 getting error.
    please suggest some solution.

    thanks
    kalpesh

 Leave a Reply

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

(required)

(required)